Loading...
Searching...
No Matches
GridTransformer::MatrixTransform Struct Reference

`#include <openvdb/tools/GridTransformer.h>`

## Public Member Functions

| MatrixTransform ()
| MatrixTransform (const Mat4R &xform)
bool | isAffine () const
Vec3R | transform (const Vec3R &pos) const
Vec3R | invTransform (const Vec3R &pos) const

## Public Attributes

Mat4R | mat
Mat4R | invMat

## Detailed Description

This class implements the Transformer functor interface (specifically, the isAffine(), transform() and invTransform() methods) for a transform that is expressed as a 4 x 4 matrix.

## Constructor & Destructor Documentation

## MatrixTransform() [1/2]

MatrixTransform | ( |  | ) |

inline

## MatrixTransform() [2/2]

MatrixTransform | ( | const Mat4R & | xform | ) |

inline

## Member Function Documentation

## invTransform()

Vec3R invTransform | ( | const Vec3R & | pos | ) | const

inline

## isAffine()

bool isAffine | ( |  | ) | const

inline

## transform()

Vec3R transform | ( | const Vec3R & | pos | ) | const

inline

## Member Data Documentation

## invMat

Mat4R invMat

## mat

Mat4R mat